Skip to main content
`Ctrl`+`K`

# KSPGetNestLevel

gets the amount of nesting the `KSP` has

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGetNestLevel(KSP ksp, PetscInt *level)

Not Collective

## Input Parameter

- ksp - the `KSP`

## Output Parameter

- level - the nest level

## See Also

KSP: Linear System Solvers, `KSPSetUp()`, `KSPSolve()`, `KSPDestroy()`, `KSP`, `KSPGMRES`, `KSPType`, `KSPSetNestLevel()`, `PCSetKSPNestLevel()`, `PCGetKSPNestLevel()`

## Level

developer

## Location

src/ksp/ksp/interface/itcreate.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages